/// @cond EO_CXX_EO_IMPL

inline bool elm::atspi_bridge::connected_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_atspi_bridge_connected_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline bool eo_cxx::elm::atspi_bridge::connected_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_atspi_bridge_connected_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::eo_cxx::elm::atspi_bridge::operator ::elm::atspi_bridge() const
{
   return *static_cast<::elm::atspi_bridge const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::atspi_bridge::operator ::elm::atspi_bridge&()
{
   return *static_cast<::elm::atspi_bridge*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::atspi_bridge::operator ::elm::atspi_bridge const&() const
{
   return *static_cast<::elm::atspi_bridge const*>(static_cast<void const*>(this));
}

template <typename T>
bool elm_atspi_bridge_connected_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->connected_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::atspi_bridge >
{
   template <typename T>
   struct type
         : virtual operations< ::eo::base >::template type<T>
   {
      virtual bool connected_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_atspi_bridge_connected_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

   };
};


template<>
struct operation_description_class_size< ::elm::atspi_bridge >
{
   static constexpr int value = 
#if defined(ATSPI_BRIDGE_PROTECTED) && defined(ATSPI_BRIDGE_BETA)
      1
#elif defined(ATSPI_BRIDGE_PROTECTED)
      1
#elif defined(ATSPI_BRIDGE_BETA)
      1
#else
      1
#endif
      + operation_description_class_size<::eo::base >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::atspi_bridge>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_atspi_bridge_connected_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_atspi_bridge_connected_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::eo::base>(), &ops[operation_description_class_size< ::elm::atspi_bridge >::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::atspi_bridge>)
{
   return (ELM_ATSPI_BRIDGE_CLASS);
}

} } }

/// @endcond

